Welcome to TP-LINK Tech Support Forum
+ Reply to Thread
Results 1 to 9 of 9
  1. #1

    HS100, HS110, HS200 firmware level? KRACK risk?

    Model :

    Hardware Version :

    Firmware Version :

    ISP : [/COLOR]

    Started Kasa 2.0 today and found that there was a firmware update for my switches - from 1.1.2 to 1.2.5.

    The upgrade of the HS100, HS110, and HS200 was reported as successful. But now it's telling me that the HS110 *still* needs an upgrade to 1.2.5. Though it's status page says it is already on 1.2.5.

    More disturbing, this page: https://www.tp-link.com/sa/faq-1970.html tells me to be safe from KRACK my HS200 should be at 1.5.2, and my 1.5.1.

    What do I need to do to get the latest updates and to be safe from KRACK?

  2. #2
    I'd like to know, too. Furthermore I am wondering why the warning message regarding KRACK has disappeared from the support jump page, while many models are still affected.

    Quote Originally Posted by MikeP_AutomationManager View Post
    Model :

    Hardware Version :

    Firmware Version :

    ISP : [/COLOR]

    Started Kasa 2.0 today and found that there was a firmware update for my switches - from 1.1.2 to 1.2.5.

    The upgrade of the HS100, HS110, and HS200 was reported as successful. But now it's telling me that the HS110 *still* needs an upgrade to 1.2.5. Though it's status page says it is already on 1.2.5.

    More disturbing, this page: https://www.tp-link.com/sa/faq-1970.html tells me to be safe from KRACK my HS200 should be at 1.5.2, and my 1.5.1.

    What do I need to do to get the latest updates and to be safe from KRACK?

  3. #3
    Ping - is there any more information about the firmware levels and when we should expect an update?

  4. #4
    Quote Originally Posted by MikeP_AutomationManager View Post
    Ping - is there any more information about the firmware levels and when we should expect an update?
    I'd be happy to hear from TP-Link, too. I have the same problem and the information give is quite misleading.

  5. #5
    TP Link support, this isn't a hard question is it?

    My HS100, HS110 and HS200 are still at 1.2.5 and your web page says I should be at 1.5.1 or 1.5.2. When will KASA make me safe from KRACK?

  6. #6
    Hey, the latest FW of HS100(US) V1, HS110(US) V1 is V1.2.5 and HS200(US) V1 is V1.2.5, HS200(US) V2 is V1.5.2
    You may check the product version and hardware version.
    If it's not, try to update with kasa app again.
    If still no success, we may need to update with local update tool provided by tplink.

  7. #7
    What does this mean? You've removed the KRACK page in my original post. That page said we should be at 1.5.2. My hardware is V1 and is at 1.2.5.

    Are you saying the V1 hardware will not be getting an update to make it safe from KRACK?

  8. #8
    Members Ada is on a distinguished road
    Join Date
    Oct 2012
    Posts
    1,171
    Currently, HS200 V1 V1.2.5 and HS200 V2 1.5.2 are both safe from KRACK.
    In other words, yours V1 v1.2.5 is safe from KRACK already and yours V1.2.5 is already the latest FW.
    Because of different versions, they use differnent types for FW version which is a little confusing.

  9. #9
    Did you ever find out if 1.2.5 fixes KRACK?


 

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts

Copyright 1996-2018 TP-LINK Technologies Co., Ltd. All rights reserved.